
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.noodleandbunmod.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.noodleandbunmod.entity.NoodleEntity;
import net.mcreator.noodleandbunmod.NoodleAndBunModMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class NoodleAndBunModModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, NoodleAndBunModMod.MODID);
	public static final RegistryObject<EntityType<NoodleEntity>> NOODLE = register("noodle",
			EntityType.Builder.<NoodleEntity>of(NoodleEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(NoodleEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<BunEntity>> BUN = register("bun",
			EntityType.Builder.<BunEntity>of(BunEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(BunEntity::new)

					.sized(0.6f, 1.8f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			NoodleEntity.init();
			BunEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(NOODLE.get(), NoodleEntity.createAttributes().build());
		event.put(BUN.get(), BunEntity.createAttributes().build());
	}
}
